=== debian/changelog ===
ros-indigo-worldlib (0.0.2-0trusty) trusty; urgency=high

  * fixes bug in linking and adds new surfaces to RAIL world
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-worldlib (0.0.1-0trusty) trusty; urgency=high

  * added observer
  * yaml fix
  * added surface checks
  * initial testing of geolife data complete
  * added geolife parsing
  * probability of item still being on a surface added
  * added persistence model
  * mutable accesors
  * abstract node started
  * nodes started
  * started parser for interactive world
  * random value from gaussian used as removal estimate
  * created Client --> SqlClient classes
  * basics of worldlib started
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000
