=== debian/control ===
Source: ros-indigo-worldlib
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libcurl4-openssl-dev, libjsoncpp-dev, libmysqlclient-dev, libyaml-cpp-dev, pkg-config, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf2, ros-indigo-tf2-ros
Homepage: http://ros.org/wiki/worldlib
Standards-Version: 3.9.2

Package: ros-indigo-worldlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libcurl4-openssl-dev, libjsoncpp-dev, libmysqlclient-dev, libyaml-cpp-dev, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf2, ros-indigo-tf2-ros
Description: C++ Library for World State Learning Methods
